/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3, as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranties of
 * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Pawel Stolowski <pawel.stolowski@canonical.com>
 */

#ifndef SMARTSCOPESPREVIEWPARSER_H
#define SMARTSCOPESPREVIEWPARSER_H

#include <unity.h>
#include <QString>
#include <QJsonObject>

class SmartScopesPreviewParser
{
public:
    UnityPreview* parse(const QString &jsonText);

private:
    UnityPreview* parseGenericPreview(const QJsonObject& root);
    UnityPreview* parseMusicPreview(const QJsonObject& root);
    void getBaseAttributes(const QJsonObject& root, QString &title, QString& subtitle, QString &description, GIcon **icon, QString &attribution);
    void getInfoHints(const QJsonObject& root, UnityPreview *preview);
    void getActions(const QJsonObject& root, UnityPreview *preview);
    void getTracks(const QJsonObject& root, UnityMusicPreview *preview);
};

#endif
